パスワードを忘れた? アカウント作成
この議論は賞味期限が切れたので、アーカイブ化されています。 新たにコメントを付けることはできません。

Firefox 3.6リリース」記事へのコメント

  • by Anonymous Coward on 2010年01月23日 12時43分 (#1707448)

    ・XBM画像のサポートが廃止された。
    ・XPCOMプラグインがなくなってNPAPIプラグインに統一された。プラグイン周りでプラグインの種類の違いを抽象化していたインターフェースがいろいろなくなった。Mac OS Xを除き、Java Plug-inはJRE 6u10以降で提供されているNPAPIプラグインしか使えなくなった。ただし古いJREでアプレットを表示すること自体はNPAPIプラグインの新機能 [sun.com]により可能。
    MFSA 2009-71 [mozilla-japan.org]の対策としてGeckoActiveXObjectが3.6/3.5.6/3.0.16から廃止された。もともとWindows版にしかなかったものだけど万が一ブラウザ判別に使っていたりしたら修正が必要。
    ・iframeがようやく(Xの用語でいう [srad.jp])Widgetを使わなくなった(Gadget化された)。これに伴ない、32767ピクセルを超える縦スクロールで表示がおかしくなる問題やWidgetを持つプラグインがCSSのZ順序指定に従わない問題が解消された。
    UIの見かけや使い勝手は3.5とほとんど変わってないけどレンダリングエンジンの中身はけっこう変わってる。

  • 私はSage++(Higmmer's Edition)を愛用しているのですが、3.6対応版が登場しました。まだ暫定対応版のようです。

    Sage++ (Higmmer's Edition) 2.2.0pre1
    http://himag.blog26.fc2.com/blog-entry-321.html [fc2.com]

    作者自身はSage++をあまり使っておらず、開発が今後続行されるか未定とのことです。
    Sage++に近いRSSフィードリーダって、他に何かないですかね(´・ω・`)

    --
    And now for something completely different...
    • by nida (14615) on 2010年01月23日 11時46分 (#1707417)

      それほどSage++に近くはないかもしれませんが,私はBriefに切り替えて幸せになりました.
      https://addons.mozilla.org/ja/firefox/addon/4578 [mozilla.org]

      親コメント
    • by Anonymous Coward on 2010年01月23日 18時18分 (#1707566)
      Firefoxのアドオンの仕組みは知らないが
      なんで、こんなバージョンアップの度に
      互換性が失われるアドオンがぞろぞろと出てくるんだろう

      元のアドオンのつくりが悪いのか、Firefoxのバージョンアップが
      おかしいのか
      親コメント
      • by rin_penguin (9144) on 2010年01月23日 19時31分 (#1707594)

        OSがアップデートされるたびにソフトウェアが脱落していく様と相似です。
        ただFirefoxはその辺のOSよりずっとアップデートサイクルが短いから問題になる
        頻度が高いだけ。

        OSの場合、ハードウェア/ソフトウェアベンダは新OSの正式リリース前に開発者
        向け版を入手して、可能な限り正式リリースと同時に対応しようと図りますし、
        Firefoxの場合もβ版などで事前にアドオンの動作を(完全にではないが)確認
        できますが、日曜プログラマレベルの開発体制では万全の対応というのも難しい
        のでしょう。

        技術的なことを言えば、Firefoxのアドオンでは動作するFirefoxのバージョンの
        上限と下限を設定できます。律儀な開発者はきちんと検証したバージョン範囲のみ
        指定しますが、言い換えればそれが原因で「バージョンが違うだけで」動作しなく
        なります。実際のところ、ローカルでそのバージョン範囲指定をちょこっといじって
        やるだけで動作するようになるアドオンも少なくありません。
        手元のアドオンでははてなツールバーがアウトでしたが、上限値を「3.6.*」に修正
        しただけで動きました。もちろん私は動作保証はしませんが。

        親コメント
        • by Anonymous Coward on 2010年01月23日 19時53分 (#1707601)

          Windowsのアプリはわざわざ上限バージョンのチェックをしていなければ相当古いものでも結構動きますが(Mac OS Xはバシバシ切り捨てる)、Firefoxの拡張機能は(少なくともAMOに登録するには)実在する上限バージョン(現在は最高でも3.7a1)を指定しなければならないので、開発放棄された拡張機能はすぐ動かなくなります。

          親コメント
        • バージョンチェックに引っ掛かるからNGになるアドオンが多いのだから、(Windows のように)アドオンのバージョンを偽る仕掛けを追加すれば良いのにと思います。
          まあ、実際はAPIの非互換で動かないアドオンが多そうですが。
          親コメント
          • by sekia (38775) on 2010年01月23日 23時38分 (#1707663)

            インストール時のバージョンチェックはMR Tech Toolkit [mozilla.org]で無効化できますよ

            --
            言ってないことに反論するなよ
            親コメント
          • by jobsa (39063) on 2010年01月23日 23時43分 (#1707665)
            3.6からは、about:configで、バージョンチェックを無効に出来ますよ。しかも、バージョンを指定して、そのバージョン以前まではチェックしないなど設定できます。
            まぁ、アドオン開発者は、めんどくさいなら、最初から4.0までOKみたいに書いておけばいいと思う。だいたいは、何も手を加えずに、上位版でも使える。
            自分は3.6βから使ってるけど、使えないアドオンは、3割ほどで、バージョンチェック無効にすればほとんどは問題なく動き、全く使えないのは、5%未満。
            親コメント
            • by STRing (14928) on 2010年01月24日 2時05分 (#1707689) 日記

              > まぁ、アドオン開発者は、めんどくさいなら、最初から4.0までOKみたいに書いておけばいいと思う。
              あんまり過大な数字を指定すると addons.mozilla.org に登録申請しても弾かれるみたいな話を見たことが。
              探しても見つからないので記憶違いかもしれませんが…

              親コメント
            • by Anonymous Coward on 2010年01月24日 3時34分 (#1707699)

              開発者は対応バージョン更新のためだけにバージョンアップしなくても対応バージョンだけ変更できるということも意外と知られてないのかなあ。
              バージョンごまかすツールなんかより知られているべきだと思うんだけど。

              親コメント
  • by Anonymous Coward on 2010年01月23日 16時55分 (#1707539)
    リンクから新しいタブを開く挙動が3.5から変わってるようですね。現在のタブの隣に開きます。
    3.5の挙動に戻す場合はabout:configで
    browser.tabs.insertRelatedAfterCurrentをfalseに。

    以前3.5→3.6は強制アップデートされるとかいう噂を聞いたのですが、通常のメジャーアップデート(ヘルプ→ソフトウェアの更新を確認、で「新しいバージョンが見つかりました」が出るので「新しいバージョンを入手する」ボタンを押して先に進める)のようですね。
    しかしこの画面に「今すぐ最新版をダウンロード」リンクがあるのが謎。ダウンロードして手動でアップデートすることを勧めてるのか?
    • by Anonymous Coward on 2010年01月23日 18時22分 (#1707568)

      現在のタブの隣に開きます。

      その説明だと誤解を生みそう。正確には現在のグループの隣に開くようになったんだよ。

      現在のタブの隣に開くなら

      AとXの2つのタブを開いていたとする
      [A][X]

      この状態でAから新規タブBを開くと
      [A][+B][X]

      Aからもう1つ新規タブCを開くと
      [A][+C][B][X]

      こうなるはずだけど、Firefox 3.6は

      Aからもう1つ新規タブCを開くと
      [A][B][+C][X]

      こうなる。なぜかというと、AからBを開くとAとBは同じグループになるから。次にAからCを開くとA+Bグループの隣、つまりBの隣に開かれる。

      親コメント
  • by tanichan (4498) on 2010年01月24日 0時14分 (#1707667)

    3.6にアップグレードしたところ VMWare Server 2.0 のコンソールプラグインが
    正常に動作しなくなりました。IEを使えばいいので構わないのですが2.0系だと
    修正が入るかどうかちょっと心配です。

    • 3.6発表当日早々にアップデートして、同じエーラーに遭遇しています。 VMware社のQ&Aにも投稿があったので、どうなることかと様子見です。 確かに、2.0発表後は無償版Serverの対応は片手間になっている気配プンプンですね。 仮想化が、お試しの時代から必須の時代になり投資の回収出来ないものは 切り捨てる時期になった・・・? IEもいつまで動くことやら...
      親コメント
  • by nox_dot (11614) on 2010年01月23日 10時21分 (#1707375) 日記

    Firefox 3.6、3.5からまた軽くなっていいですね! 安定性も問題ないようですし。
    javascript.options.jit.chrome がデフォルトで true になったようで、これだけ JIT が安定したと言うことなんでしょうね。これは地味に嬉しいです。

    ライセンスの問題から HTML5のvideoタグの h.264 への対応が見送られていることが残念です。
    ( YouTube の新UIが動かない。 )

    Firefox 3.7 はキャンセルされ、新機能は 3.6 に順次提供されるみたいですね。
    Linux Kernel の開発リリース (奇数バージョン) がなくなって、2.6 に順次新機能が組み込まれていくようになった方針転換と似てるかなと思いました。大勢でのOSSの開発って、そういう性質があるのかもしれません。

  • Persona (スコア:1, すばらしい洞察)

    by Anonymous Coward on 2010年01月23日 10時23分 (#1707377)
    Personaって、テーマと呼ぶより、スキンと呼ぶべきものだと思うんだ…
  • 補足 (スコア:1, 参考になる)

    by Anonymous Coward on 2010年01月23日 10時37分 (#1707381)

    表示テーマ「Persona(ペルソナ)」を標準装備、テーマは再起動なしに変更可能に

    軽量テーマ(lightweight themes)の間違い?再起動不要なのは軽量テーマのほうで、今までのテーマで再起動が必要なのは変わらないよ。それと軽量テーマはデフォルトテーマとの組み合わせでしか使えないので注意。

    起動時間短縮

    これは主にMac版Firefoxの話で、Windows版やLinux版ではほぼ変化なしじゃないか? 少し古いけど「Firefox on Macは起動高速化、XP、Vista、Linuxは変わらず [mycom.co.jp]」。

    Windows 7への正式対応

    ライブサムネイルには一応対応してるけど、デフォルトはオフになってるから、使いたい場合は自己責任でabout:configからbrowser.taskbar.previews.enableをtrueにする。ジャンプリストには未対応。

  • お猿さんだよ (スコア:1, 参考になる)

    by Anonymous Coward on 2010年01月23日 19時50分 (#1707599)

    JavaScript周りの高速化については、Firefox 3.6のJavaScript高速化技術まとめ [mycom.co.jp]がわかりやすい。

  • by mitchie1970 (12436) on 2010年01月24日 13時18分 (#1707749)

    ブックマークツールバーとタブのフォントが、ゴシック体から明朝体に変わってしまいました。

    コンテキストメニューのフォントが、ゴシック体からいったん明朝体に変わった後で細ゴシック体に変わってしまいました。「戻る」の1画目が横棒じゃなく点になってるから、中華系?

    このフォントの設定を変更するにはどうすればよいか悩み中。

  • 3.6にアップデートしたら、トラックポイントでのスクロールができなくなりました。
    #USBトラベルキーボード使用
    なにかの設定変更すればいいのかもしれませんが、今のところ見つかりません。
    正直なところ、いまのままだと「使えない」ですね‥
    • by emk (30939) on 2010年01月24日 15時02分 (#1707757) 日記

      about:configで「ui.trackpoint_hack.enabled」の値を1にしてみてください。デフォルトの-1は自動検出なのですが、うまく検出できない環境が多いようです。
      もしこれでうまくいった場合、差し支えなければレジストリエディタでHKEY_CURRENT_USER\Softwareの下から「TrackPoint」を検索して、場所を教えていただけると幸いです。自動検出できるようにするために必要です。
      # 現在の検出ロジックに根本的に無理があるような気もするけどID

      親コメント

ソースを見ろ -- ある4桁UID

処理中...